﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Controls.Default" %>

<%@ Register Assembly="MindFusion.Diagramming.WebForms" Namespace="MindFusion.Diagramming.WebForms" TagPrefix="ndiag" %>
<%@ Register Assembly="MindFusion.Common.WebForms" Namespace="MindFusion.Common.WebForms" TagPrefix="common" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
  <title>MindFusion NetDiagram Sample - Controls</title>
  <link href="common/jquery-ui.min.css" rel="stylesheet" />
  <link href="common/samples.css" rel="stylesheet" />
  <script type="text/javascript" src="common/jquery.min.js"></script>
  <script type="text/javascript" src="common/jquery-ui.min.js"></script>
  <script type="text/javascript" src="common/samples.js"></script>
</head>
<body>
<form id="form1" runat="server">
  <asp:ScriptManager ID="ScriptManager1" runat="server" />

  <div id="header" style="height: 49px;">
    <div style="float: right; margin-right: 5px; margin-top: 17px;">
      <button id="expandButton" onclick="onExpandCollapse()">&gt;</button>
    </div>
	</div>

  <div id="info" style="top: 60px; bottom: 24px;">
    <div id="infoTab" style="padding: 10px;">
      <h1>About this sample</h1>
      <p>This sample demonstrates the auxilliary controls available with NetDiagram: NodeListView, Overview and ZoomControl. The NodeListView implements a list-box control that contains DiagramNode objects and allows dragging them to the DiagramView control. The Overview provides a scaled-down view of the DiagramView content and lets the user scroll the bound view. The ZoomControl lets users zoom and pan the target DiagramView interactively.</p>
    </div>
  </div>

  <div id="content" style="top: 60px; bottom: 24px;">
    <div style="position: absolute; left: 0px; top: 0px; bottom: 0px; width: 200px; border-right: 1px solid #e2e4e7; overflow: hidden;">

		<ndiag:Overview runat="server" ID="overview" DiagramViewID="diagramView" ClientSideMode="Canvas"
			style="position: absolute; top: 0px; bottom: 0px; right: 0px; width: 200px; height: 200px; border-bottom: 1px solid #e2e4e7;" />

		<ndiag:NodeListView runat="server" ID="nodeList" ClientSideMode="Canvas"
			style="position: absolute; top: 201px; left: 0px; right: 0px; bottom: 0px; width: 200px; height: auto; overflow: auto;" />

    </div>

	<ndiag:Ruler runat="server" ID="ruler"
		style="position: absolute; left: 201px; top: 0px; right: 0px; bottom: 0px;" >

		<ndiag:DiagramView runat="server" ID="diagramView" ClientSideMode="Canvas"
			Style="position: absolute; left: 0px; top: 0px; right: 0px; bottom: 0px;" />

	</ndiag:Ruler>

    <common:ZoomControl runat="server" ID="zoomer" TargetId="diagramView" ClientSideMode="Canvas"
		style="position: absolute; top: 20px; right: 35px; width: 50px; height: 300px;" Width="50px" Height="300px" />

  </div>

  <div id="footer" style="height: 24px;">
    <span id="copyright"></span>
  </div>

</form>
</body>
</html>
